
QGIS Application - Bug report #202

'string' was not declared in QgsMapLayerSet::updateFullExtent()

2006-07-21 08:55 AM - Mateusz Loskot -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10261

Description

Today, I updated my QGIS sandbox and tried to do complete rebuild.

I got following error and compilation stopped:

qgsmaplayerset.cpp: In member function 'void [[QgsMapLayerSet]]::updateFullExtent()':

qgsmaplayerset.cpp:63: error: 'string' was not declared in this scope

maker4: *** [libqgis_gui_la-qgsmaplayerset.lo] Error 1

maker4: Leaving directory @/home/mloskot/dev/qgis/_svn/qgis/src/gui'

maker3: *** [all] Error 2

maker3: Leaving directory @/home/mloskot/dev/qgis/_svn/qgis/src/gui'

maker2: *** [all-recursive] Error 1

maker2: Leaving directory @/home/mloskot/dev/qgis/_svn/qgis/src'

maker1: *** [all-recursive] Error 1

maker1: Leaving directory @/home/mloskot/dev/qgis/_svn/qgis'

make: *** [all] Error 2

History

#1 - 2006-07-21 08:56 AM - Mateusz Loskot -

I've forgot to provide version of my compiler:

mloskot:~$ gcc --version

gcc (GCC) 4.0.3 (Ubuntu 4.0.3-1ubuntu5)

installed from official Ubuntu 6.06 packages.

#2 - 2006-07-21 09:05 AM - Mateusz Loskot -

By the way, I see that qgsmaplayerset.cpp file has not set svn:keywords property so $Id$ keyword is not expanded.

#3 - 2006-07-23 02:57 PM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from Open to Closed

Applied in SVN .
Files

gui-qgsmaplayerset.cpp-ticket-202-mloskot.patch 815 Bytes 2006-07-21 Mateusz Loskot -
